This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 223068 - Review Request: perl-MooseX-Object-Pluggable - Make your Moose classes pluggable
Review Request: perl-MooseX-Object-Pluggable - Make your Moose classes pluggable
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/MooseX-Ob...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-17 14:18 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 12:23:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-01-17 14:18:05 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-MooseX-Object-Pluggable-0.0002-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-MooseX-Object-Pluggable.spec

Description:
This module aids in the development and deploment of plugin-enabled
Moose-based classes.  It extends the Moose framework via a roles to enable
this behavior.
Comment 1 Parag AN(पराग) 2007-01-22 01:59:13 EST
Ooops where can i get dependency rpm perl(Moose)?
Comment 2 Ralf Corsepius 2007-01-22 02:39:25 EST
(In reply to comment #1)
> Ooops where can i get dependency rpm perl(Moose)?

It's in extras.

yum install 'perl(Moose)'
Comment 3 Parag AN(पराग) 2007-01-22 06:05:38 EST
(In reply to comment #2)
> (In reply to comment #1)
> > Ooops where can i get dependency rpm perl(Moose)?
> 
> It's in extras.
> 
> yum install 'perl(Moose)'

thanks. I was using old local extras repo. Thats why i faced that problem.
Comment 4 Parag AN(पराग) 2007-01-22 06:08:14 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
b02e2baf09176b453e1b5abcde830144  MooseX-Object-Pluggable-0.0002.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/00-load.t t/01-basic.t t/boilerplate.t
t/pod-coverage.t t/pod.t
t/00-load.........ok 1/1# Testing MooseX::Object::Pluggable 0.0002, Perl
5.008008, /usr/bin/perl
t/00-load.........ok
t/01-basic........ok
t/boilerplate.....ok
t/pod-coverage....t/pod-coverage.t does not exist
t/pod.............ok
All tests successful.
Files=5, Tests=21,  1 wallclock secs ( 1.03 cusr +  0.05 csys =  1.08 CPU)

APPROVED.
Comment 5 Chris Weyl 2007-01-24 12:23:12 EST
Updated to 0.0004, imported and built on devel; branches requested for fc5,6.

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.